Bug 592770 - Review Request: texmakerx - LaTex Editor
Review Request: texmakerx - LaTex Editor
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-16 16:22 EDT by hannes
Modified: 2010-09-03 06:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-03 06:00:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description hannes 2010-05-16 16:22:00 EDT
Spec URL: http://dl.dropbox.com/u/3917796/texmakerx.spec
SRPM URL: http://dl.dropbox.com/u/3917796/texmakerx-1.9.9-1.fc13.src.rpm
Uploaded to Dropbox because I don't have another opportunity.
Description: Texmakerx is a program, that integrates many tools needed to develop
documents with LaTeX, in just one application.


I used the initial Spec from there https://bugzilla.redhat.com/show_bug.cgi?id=537694 and adjusted it for the current version. As this is my first package I made for fedora I hope it will fit the quality standard.
I am not really familiar with the whole process but I hope to get a better knowledge soon.
Greetings
Comment 1 hannes 2010-05-18 02:16:07 EDT
Hello,

due to a bug I need to compile a new version with another hunspell version.
It could be found here:
http://dl.dropbox.com/u/3917796/texmakerx.spec
http://dl.dropbox.com/u/3917796/texmakerx-1.9.9-2.fc13.x86_64.rpm
Comment 2 Rafael Aquini 2010-05-21 00:05:37 EDT
Hannes,

In spite of this being an informal review, consider the following suggestion, please:
  1. include texlive-latex as requirement otherwise Tex commands will not be       available.

However, you should not submit review requests for an existing package in Fedora -- https://admin.fedoraproject.org/pkgdb/acls/name/texmaker -- you should seek for co-maintainership instead.

Take a look at: https://fedoraproject.org/wiki/PackageMaintainers/Join

Regards
Comment 3 hannes 2010-05-21 05:57:13 EDT
Hello Rafael,

this program isn't equal to the normal texmaker (mind the little x at the end) ;)

The new dependency is something to think about. 

Greetings
Comment 4 Rafael Aquini 2010-05-21 08:17:21 EDT
Hello Hannes,

As I said before, it's just an informal review. However, consider the following observation, please.

(In reply to comment #3)
> this program isn't equal to the normal texmaker (mind the little x at the end)
> ;)
So, it would be better if you have said that TexMakerX is a fork of Texmaker IDE in your Spec description. Also, you should evidence TexMakerX's differences/improvements regarding to TexMaker. Think how confusingly could be to an ordinary user trying to choose which of two packages to install and the only difference he/she is noticing is a little 'x' in package's name.


Best regards.
Comment 5 hannes 2010-05-21 12:55:41 EDT
Ok I added another description. Just noticed today that this description was the one of texmaker.
I added the description of the texmakerx guys which is presented on their homepage.
I hope this is going to improve the package. 

Anyway thanks for your comments.

Greetings
Comment 6 Rafael Aquini 2010-05-21 19:34:32 EDT
Johannes,

As a best practice, you should change the release number of you package every time you modify the spec file in order to avoid confusion. Also, it would be nice if you could submit a new comment on this bug, with the URL for the new SRPM built on those Spec modifications.

Regards
Comment 7 hannes 2010-05-22 01:23:31 EDT
Well,

the bug was that TexmakerX was crashing if you tried to choose a dictionary. With a new version of hunspell in the package this problem was gone.

It takes really long to compile this package despite my pc is recent. So I don't want to compile it the whole day, sorry.

I didn't know that you have to change the release number everytime you change the spec. I'll do in the future...

http://dl.dropbox.com/u/3917796/texmakerx-1.9.9-2.fc13.src.rpm

I checked the packages and the spec with rpmlint and there weren't any errors.
Greetings
Comment 8 Rafael Aquini 2010-05-22 14:52:17 EDT
Johannes,

(In reply to comment #7)
> It takes really long to compile this package despite my pc is recent. So I
> don't want to compile it the whole day, sorry.
Well, if the question was just a matter of rebuilding and shipping a new SRPM without having to go through your long build process, I think a simple 'rpmbuild -bs texmakerx.spec' would be sufficient to you.

> I didn't know that you have to change the release number everytime you change
> the spec. I'll do in the future...
Yes, whenever a minor change (spec file changed, patch added/removed) occurs, or a package is rebuilt to use newer headers or libraries, the release number should be incremented. You can find further information on this subject at: http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Package_Release

Here has a good reference, also: http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes



Well, it seems to me that your package is OK.

1) rpmlint does not have any complaint at all:
$ rpmlint -i SPECS/texmakerx.spec SRPMS/texmakerx-1.9.9-2.fc12.src.rpm RPMS/x86_64/texmakerx-1.9.9-2.fc12.x86_64.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

2) mock build is OK, too
$ mock -r fedora-12-x86_64 --rebuild SRPMS/texmakerx-1.9.9-2.fc12.src.rpm
INFO: mock.py version 1.0.7 starting...
State Changed: init plugins
State Changed: start
INFO: Start(SRPMS/texmakerx-1.9.9-2.fc12.src.rpm)  Config(fedora-12-x86_64)
.
.
INFO: Done(SRPMS/texmakerx-1.9.9-2.fc12.src.rpm) Config(fedora-12-x86_64) 8 minutes 38 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-12-x86_64/result


I hope you get your work formally reviewed by a sponsor, very soon!


Regards
Comment 9 hannes 2010-07-22 12:46:20 EDT
Updated to latest version:
http://dl.dropbox.com/u/3917796/texmakerx-1.9.9a-1.fc13.src.rpm
Comment 10 Rex Dieter 2010-08-09 18:07:54 EDT
naming: ok

scriptlets: ok

licensing: ok

sources: ok
0bf125729f39a22365bc33153a8e28a7  texmakerx-1.9.9a.tar.gz

rpmlint:
$ rpmlint *.rpm
texmakerx.src:33: W: macro-in-comment %patch1
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

(omit reference, or drop the %


APPROVED.


(what's your fas username?  given that, I can sponsor you)
Comment 11 hannes 2010-08-10 12:17:33 EDT
Hello,
my fas username is: hannes
I'll fix that warning when I get home and will upload a version without that code snippet.
Thank you!
Comment 12 hannes 2010-08-10 13:48:19 EDT
Fixed:
http://dl.dropbox.com/u/3917796/texmakerx-1.9.9a-2.fc13.src.rpm

Greetings
Comment 13 Rex Dieter 2010-08-25 11:54:59 EDT
ok, sponsored now (you should get some confirmation mail from our accounts system).
Comment 14 hannes 2010-08-25 15:18:48 EDT
New Package SCM Request
=======================
Package Name: texmakerx
Short Description: LaTeX Editor
Owners: hannes
Branches: f13 f14
InitialCC:
Comment 15 Kevin Fenzi 2010-08-27 15:09:36 EDT
Git done (by process-git-requests).
Comment 16 hannes 2010-09-03 06:04:48 EDT
build in rawhide:
http://koji.fedoraproject.org/koji/packageinfo?packageID=10845

Note You need to log in before you can comment on or make changes to this bug.